Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1329033002: Disable extension Panels on Dev and Canary, except for the whitelist (Closed)

Created:
3 years, 7 months ago by tapted
Modified:
3 years, 7 months ago
Reviewers:
benwells, Dmitry Titov
CC:
chromium-reviews, tapted, jennb, Matt Giuca, extensions-reviews_chromium.org, tfarina, dcheng, jianli, chromium-apps-reviews_chromium.org, chrome-apps-syd-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Disable extension Panels on Dev and Canary, except for the whitelist They're already disabled on Beta and Stable channels. Leaving them enabled in Dev/Canary confuses users and makes people suspect regressions. After this, panels are only enabled when --enable-panels is set in chrome://flags and for the whitelist (Hangouts). CL also tries to consolidate all the Hangouts extension IDs scattered around the codebase. BUG=467808, 526708 Committed: https://crrev.com/841c14b4ca8818f08890157ba159e331a1995453 Cr-Commit-Position: refs/heads/master@{#347847}

Patch Set 1 #

Patch Set 2 : remove stray #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+47 lines, -41 lines) Patch
M chrome/browser/ui/app_list/search/people/people_result.cc View 2 chunks +4 lines, -15 lines 1 comment Download
M chrome/browser/ui/panels/panel_manager.cc View 3 chunks +9 lines, -13 lines 1 comment Download
M chrome/common/extensions/api/_api_features.json View 1 chunk +8 lines, -7 lines 0 comments Download
M extensions/common/api/_manifest_features.json View 2 chunks +8 lines, -5 lines 0 comments Download
M extensions/common/constants.h View 1 chunk +6 lines, -0 lines 0 comments Download
M extensions/common/constants.cc View 1 chunk +11 lines, -0 lines 0 comments Download
M extensions/common/permissions/permissions_data.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 11 (3 generated)
tapted
Hi Ben, please take a look https://codereview.chromium.org/1329033002/diff/20001/chrome/browser/ui/app_list/search/people/people_result.cc File chrome/browser/ui/app_list/search/people/people_result.cc (left): https://codereview.chromium.org/1329033002/diff/20001/chrome/browser/ui/app_list/search/people/people_result.cc#oldcode192 chrome/browser/ui/app_list/search/people/people_result.cc:192: // See crbug.com/306672 ...
3 years, 7 months ago (2015-09-07 05:30:27 UTC) #2
benwells
lgtm
3 years, 7 months ago (2015-09-07 23:22:32 UTC) #3
Dmitry Titov
thanks for doing that :)
3 years, 7 months ago (2015-09-08 04:39:17 UTC) #4
tapted
oh hi! I actually need an OWNER for the chrome/browser/ui/panels/panel_manager.cc - dimich - could you ...
3 years, 7 months ago (2015-09-08 04:41:07 UTC) #6
Dmitry Titov
LGTM for panel_manager.cc
3 years, 7 months ago (2015-09-08 17:16:28 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1329033002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1329033002/20001
3 years, 7 months ago (2015-09-08 23:38:53 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 7 months ago (2015-09-09 00:34:06 UTC) #10
commit-bot: I haz the power
3 years, 7 months ago (2015-09-09 00:34:46 UTC) #11
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/841c14b4ca8818f08890157ba159e331a1995453
Cr-Commit-Position: refs/heads/master@{#347847}

Powered by Google App Engine
This is Rietveld 408576698